RagTime5ClusterManagerInternal::SoundCParser Struct Reference documentation

RagTime5ClusterManagerInternal::SoundCParser Struct Referencefinal

low level: parser of sound cluster : zone 2,a,4002,400a More...

Inheritance diagram for RagTime5ClusterManagerInternal::SoundCParser:

## Public Types
enum | { F_nextId , F_parentList }

## Public Member Functions
| SoundCParser (RagTime5ClusterManager &parser, int type)
| constructor
| ~SoundCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
std::shared_ptr< ClusterSound > | getSoundCluster ()
| return the sound cluster
void | setExpectedType (int id, int type)
| set a data id type
int | getNewZoneToParse () final
| returns to new zone to parse.
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone
void | endZone () final
| end of a start zone call
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Attributes
std::shared_ptr< ClusterSound > | m_cluster
| the current cluster
std::string | m_fieldName
| the actual field name
std::map< int, int > | m_expectedIdToType
| the expected id
std::stack< int > | m_idStack
| the id stack

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

low level: parser of sound cluster : zone 2,a,4002,400a

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
F_nextId |
F_parentList |

## Constructor & Destructor Documentation

## ◆ SoundCParser()

RagTime5ClusterManagerInternal::SoundCParser::SoundCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type )
| inline

constructor

## ◆ ~SoundCParser()

RagTime5ClusterManagerInternal::SoundCParser::~SoundCParser | ( |  | ) |
| final

destructor

Referenced by ~SoundCParser().

## Member Function Documentation

## ◆ endZone()

void RagTime5ClusterManagerInternal::SoundCParser::endZone | ( |  | ) |
| inlinefinalvirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5ClusterManagerInternal::SoundCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## ◆ getNewZoneToParse()

int RagTime5ClusterManagerInternal::SoundCParser::getNewZoneToParse | ( |  | ) |
| inlinefinalvirtual

returns to new zone to parse.

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getSoundCluster()

std::shared_ptr< ClusterSound > RagTime5ClusterManagerInternal::SoundCParser::getSoundCluster | ( |  | ) |
| inline

return the sound cluster

## ◆ parseField()

bool RagTime5ClusterManagerInternal::SoundCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseHeaderZone()

bool RagTime5ClusterManagerInternal::SoundCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inline

parse the header zone

Referenced by parseZone().

## ◆ parseZone()

bool RagTime5ClusterManagerInternal::SoundCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ setExpectedType()

void RagTime5ClusterManagerInternal::SoundCParser::setExpectedType | ( | int | id,
|  | int | type )
| inline

set a data id type

Referenced by parseHeaderZone(), and parseZone().

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<ClusterSound> RagTime5ClusterManagerInternal::SoundCParser::m_cluster
| protected

the current cluster

Referenced by endZone(), getCluster(), getSoundCluster(), and SoundCParser().

## ◆ m_expectedIdToType

std::map<int,int> RagTime5ClusterManagerInternal::SoundCParser::m_expectedIdToType
| protected

the expected id

Referenced by endZone(), parseField(), parseZone(), setExpectedType(), and SoundCParser().

## ◆ m_fieldName

std::string RagTime5ClusterManagerInternal::SoundCParser::m_fieldName
| protected

the actual field name

Referenced by parseField(), parseHeaderZone(), parseZone(), and SoundCParser().

## ◆ m_idStack

std::stack<int> RagTime5ClusterManagerInternal::SoundCParser::m_idStack
| protected

the id stack

Referenced by getNewZoneToParse(), setExpectedType(), and SoundCParser().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx